Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netlib.lapack
Class DLAMC4

    java.lang.Object
      org.netlib.lapack.DLAMC4

    public class DLAMC4

extends java.lang.Object

    DLAMC4 is a simplified interface to the JLAPACK routine dlamc4.
    This interface converts Java-style 2D row-major arrays into
    the 1D column-major linearized arrays expected by the lower
    level JLAPACK routines.  Using this interface also allows you
    to omit offset and leading dimension arguments.  However, because
    of these conversions, these routines will be slower than the low
    level ones.  Following is the description from the original Fortran
    source.  Contact seymour@cs.utk.edu with any questions.

     *     ..
     *
     *  Purpose
     *  =======
     *
     *  DLAMC4 is a service routine for DLAMC2.
     *
     *  Arguments
     *  =========
     *
     *  EMIN    (output) INTEGER
     *          The minimum exponent before (gradual) underflow, computed by

     *          setting A = START and dividing by BASE until the previous A
     *          can not be recovered.
     *
     *  START   (input) DOUBLE PRECISION
     *          The starting point for determining EMIN.
     *
     *  BASE    (input) INTEGER
     *          The base of the machine.
     *
     * =====================================================================

     *
     *     .. Local Scalars ..

Constructor Summary
`DLAMC4()`

Method Summary
`static void` | `DLAMC4(intW emin, double start, int base)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DLAMC4

    public DLAMC4()

Method Detail

### DLAMC4

    public static void DLAMC4(intW emin,
                              double start,
                              int base)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD